Zum Hauptinhalt springen
POST
/
v3
/
organizations
/
{org_id}
/
pr-reviews
Devin Review auslösen
curl --request POST \
  --url https://api.devin.ai/v3/organizations/{org_id}/pr-reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pr_url": "<string>"
}
'
{
  "commit_sha": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pr_number": 123,
  "repo_path": "<string>",
  "status": "pending"
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung UseReviewManual in der angegebenen Organisation.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

org_id
string
erforderlich

Organisations-ID (Präfix: org-)

Beispiel:

"org-abc123def456"

Body

application/json
pr_url
string
erforderlich

Vollständige URL des Pull-/Merge-Requests zur Überprüfung (z. B. https://github.com/owner/repo/pull/123).

Beispiel:

"https://github.com/owner/repo/pull/123"

Antwort

Erfolgreiche Antwort

commit_sha
string
erforderlich

Commit-SHA des PR-Head, der überprüft wird.

created_at
string<date-time>
erforderlich

Zeitpunkt, zu dem die Überprüfung akzeptiert wurde.

pr_number
integer
erforderlich

Pull-/Merge-Request-Nummer.

repo_path
string
erforderlich

Normalisierter, Host-präfixierter Repo-Pfad (z. B. github.com/owner/repo).

status
enum<string>
erforderlich

Aktueller Überprüfungsstatus. Neu akzeptierte Überprüfungen beginnen als pending.

Verfügbare Optionen:
pending,
running,
completed,
errored